- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDbCommandBuilder
TDbMetaData
TDbTableColumn
TDbTableInfo
TMssqlCommandBuilder
TMysqlCommandBuilder
TOracleCommandBuilder
TOracleTableInfo
TPgsqlCommandBuilder
TSqliteCommandBuilder

Keyword

# Class TPgsqlCommandBuilder

    TComponent
       |
       --TDbCommandBuilder
          |
          --TPgsqlCommandBuilder

TPgsqlCommandBuilder provides specifics methods to create limit/offset query commands for Pgsql database.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
protected string | getSearchCondition ( string $column, array $words) Overrides parent implementation to use PostgreSQL's ILIKE instead of LIKE (case-sensitive).
string | getSearchExpression ( array $fields, string $keywords) Overrides parent implementation. Only column of type text or character (and its variants) accepts the LIKE criteria.
protected boolean | isSearchableColumn ( mixed $column)

Methods Inherited From TDbCommandBuilder

TDbCommandBuilder::applyCriterias(), TDbCommandBuilder::applyLimitOffset(), TDbCommandBuilder::applyOrdering(), TDbCommandBuilder::bindArrayValues(), TDbCommandBuilder::bindColumnValues(), TDbCommandBuilder::createCommand(), TDbCommandBuilder::createCountCommand(), TDbCommandBuilder::createDeleteCommand(), TDbCommandBuilder::createFindCommand(), TDbCommandBuilder::createInsertCommand(), TDbCommandBuilder::createUpdateCommand(), TDbCommandBuilder::getColumnBindings(), TDbCommandBuilder::getDbConnection(), TDbCommandBuilder::getInsertFieldBindings(), TDbCommandBuilder::getLastInsertID(), TDbCommandBuilder::getPdoType(), TDbCommandBuilder::getSearchCondition(), TDbCommandBuilder::getSearchExpression(), TDbCommandBuilder::getTableInfo(), TDbCommandBuilder::hasIntegerKey(), TDbCommandBuilder::setDbConnection(), TDbCommandBuilder::setTableInfo()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getSearchCondition

protected string getSearchCondition | (string $column , array $words )

Overrides parent implementation to use PostgreSQL's ILIKE instead of LIKE (case-sensitive).

Input
string | $column | column name.
array | $words | keywords
Output
string | search condition for all words in one column.
Exception

## getSearchExpression

public string getSearchExpression | (array $fields , string $keywords )

Overrides parent implementation. Only column of type text or character (and its variants) accepts the LIKE criteria.

Input
array | $fields | list of column id for potential search condition.
string | $keywords | string of keywords
Output
string | SQL search condition matching on a set of columns.
Exception

## isSearchableColumn

protected boolean isSearchableColumn | (mixed $column )

Input
mixed | $column |
Output
boolean | true if column can be used for LIKE searching.
Exception